org.apache.pdfbox.pdmodel.graphics.color

## Class PDDeviceColorSpace

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.color.PDColorSpace
  - - org.apache.pdfbox.pdmodel.graphics.color.PDDeviceColorSpace

All Implemented Interfaces:
  COSObjectable

Direct Known Subclasses:
  PDDeviceCMYK, PDDeviceGray, PDDeviceRGB

    public abstract class PDDeviceColorSpace
    extends PDColorSpace

Device colour spaces directly specify colours or shades of gray produced by an output device.

Author:
  John Hewson

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.graphics.color.PDColorSpace

`array`

### Constructor Summary

Constructors
Constructor and Description
`PDDeviceColorSpace()`

### Method Summary

All Methods Instance Methods Concrete Methods
`COSBase` `getCOSObject()` Convert this standard java object to a COS object.
`String` `toString()`

### Methods inherited from class org.apache.pdfbox.pdmodel.graphics.color.PDColorSpace

`create, create, create, getDefaultDecode, getInitialColor, getName, getNumberOfComponents, toRawImage, toRawImage, toRGB, toRGBImage, toRGBImageAWT`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDDeviceColorSpace

    public PDDeviceColorSpace()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getCOSObject

    public COSBase getCOSObject()

Description copied from interface: `COSObjectable`
Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Overrides:
  `getCOSObject` in class `PDColorSpace`
Returns:
  The cos object that matches this Java object.